%define freeipmi_major	        13
%define ipmiconsole_major	2
%define ipmidetect_major	0
%define ipmimonitoring_major	5
%define libfreeipmi_name	%mklibname freeipmi %{freeipmi_major}
%define libipmiconsole_name	%mklibname ipmiconsole %{ipmiconsole_major}
%define libipmidetect_name	%mklibname ipmidetect %{ipmidetect_major}
%define libipmimonitoring_name	%mklibname ipmimonitoring %{ipmimonitoring_major}
%define develname		%mklibname -d %{name}

%define old_libname    %mklibname freeipmi 5
%define old_librelease 0.6.5-1

Name: 		freeipmi
Version: 	1.2.3
Release: 	%mkrel 2
Summary: 	FreeIPMI
License: 	GPLv2+
Group: 		System/Kernel and hardware
URL:		http://www.gnu.org/software/freeipmi/index.html
Source0: 	http://ftp.gnu.org/gnu/freeipmi/%{name}-%{version}.tar.gz
Source1: 	ipmidetectd.service
Source2: 	bmc-watchdog.service
Patch0:		freeipmi-1.0.1-fix-str-fmt.patch
BuildRequires:  ncurses-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  transfig
BuildRequires:  ghostscript
BuildRequires:  texinfo texinfo-tex
BuildRequires:  tetex-latex
# uses sys/io.h style I/O
ExcludeArch:	ppc %mips

%description
The FreeIPMI project provides "Remote-Console" (out-of-band) and
"System Management Software" (in-band) based on Intelligent
Platform Management Interface (IPMI v1.5) specification.

%package -n	%{libfreeipmi_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%old_libname < %old_librelease

%description -n	%{libfreeipmi_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmiconsole_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%old_libname < %old_librelease

%description -n	%{libipmiconsole_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmidetect_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%old_libname < %old_librelease

%description -n	%{libipmidetect_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmimonitoring_name}
Group:		System/Libraries
Summary:	Main library for %{name}
Obsoletes:	%old_libname < %old_librelease

%description -n	%{libipmimonitoring_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Group:		Development/C
Summary:	Headers for developing programs that will use %{name}
Requires:	%{libfreeipmi_name} = %{version}-%{release}
Requires:	%{libipmimonitoring_name} = %{version}-%{release}
Requires:	%{libipmiconsole_name} = %{version}-%{release}
Requires:	%{libipmidetect_name} = %{version}-%{release}
Conflicts:	%{libfreeipmi_name} < 1.0.8-2
Conflicts:	%{libipmimonitoring_name} < 1.0.8-2
Conflicts:	%{libipmiconsole_name} < 1.0.8-2
Conflicts:	%{libipmidetect_name} < 1.0.8-2
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libfreeipmi_name}-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package fish
Summary:    FreeIPMI Shell
Group:      System/Kernel and hardware
Requires:   %{name} = %{version}

%description fish
Fish provides Shell, Extension/Plug-in and scripting interface. As a
shell, User has access to both in-band and out-of-band access to the
host BMC through a rich set of IPMI commands.

%package utils
Summary:    FreeIPMI Utilities
Group:      System/Kernel and hardware
Requires:   %{name} = %{version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description utils
FreeIPMI utilities ipmipower, bmc-watchdog, ipmiping, and rmcpping.

%prep
%setup -q

%build
%define Werror_cflags %nil
%serverbuild
%configure2_5x --localstatedir=/%{_var} --disable-dependency-tracking --disable-static
%make
cd doc
make pdf
cd -

%install
%makeinstall_std 

rm -rf %{buildroot}%{_docdir}/%{name}
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_initrddir}/*  %{buildroot}%{_sysconfdir}/init.d/*

# Install systemd units
install -m 755 -d %{buildroot}%{_unitdir}
install -m 644 %SOURCE1 %SOURCE2 %{buildroot}%{_unitdir}

# (cg) Make sure we mask the sysvinit script name
ln -s bmc-watchdog.service %{buildroot}%{_unitdir}/bmcwatchdog.service

%post utils
%_post_service bmcwatchdog

%preun utils
%_preun_service bmcwatchdog

%preun
%_remove_install_info %{name}.info
%_remove_install_info %{name}-faq.info

%post
%_install_info %{name}.info
%_install_info %{name}-faq.info

%files
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO
%doc doc/*.pdf
%{_sysconfdir}/freeipmi/*.conf
%{_mandir}/man5/freeipmi_interpret_sel.conf.5.*
%{_mandir}/man5/freeipmi_interpret_sensor.conf.5.*
%{_mandir}/man5/libipmiconsole.conf.5.*
%{_infodir}/freeipmi-faq.info*
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/lib/%{name}/ipckey

%files -n %{libfreeipmi_name}
%{_libdir}/libfreeipmi.so.%{freeipmi_major}*

%files -n %{libipmiconsole_name}
%{_libdir}/libipmiconsole.so.%{ipmiconsole_major}*

%files -n %{libipmidetect_name}
%{_libdir}/libipmidetect.so.%{ipmidetect_major}*

%files -n %{libipmimonitoring_name}
%{_libdir}/libipmimonitoring.so.%{ipmimonitoring_major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files fish
%{_sbindir}/bmc-config
%{_sbindir}/bmc-info
%{_sbindir}/ipmi-sel
%{_sbindir}/ipmi-sensors
%{_sbindir}/ipmi-sensors-config
%{_mandir}/man5/bmc-config.conf.5*
%{_mandir}/man8/bmc-config.8*
%{_mandir}/man8/bmc-info.8*
%{_mandir}/man8/ipmi-sel.8*
%{_mandir}/man8/ipmi-sensors.8*
%{_mandir}/man8/ipmi-sensors-config.8*

%files utils
%doc COPYING.bmc-watchdog DISCLAIMER.bmc-watchdog
%doc COPYING.ipmiconsole DISCLAIMER.ipmiconsole 
%doc COPYING.ipmiping DISCLAIMER.ipmiping
%doc COPYING.ipmipower DISCLAIMER.ipmipower
%{_unitdir}/bmc-watchdog.service
%{_unitdir}/bmcwatchdog.service
%{_unitdir}/ipmidetectd.service
%config(noreplace) %{_sysconfdir}/sysconfig/bmc-watchdog
%{_sbindir}/bmc-device
%{_sbindir}/bmc-watchdog
%{_sbindir}/ipmi-chassis
%{_sbindir}/ipmi-chassis-config
%{_sbindir}/ipmi-console
%{_sbindir}/ipmi-dcmi
%{_sbindir}/ipmi-detect
%{_sbindir}/ipmi-fru
%{_sbindir}/ipmi-locate
%{_sbindir}/ipmi-oem
%{_sbindir}/ipmi-pef-config
%{_sbindir}/ipmi-pet
%{_sbindir}/ipmi-ping
%{_sbindir}/ipmi-power
%{_sbindir}/ipmi-raw
%{_sbindir}/ipmiconsole
%{_sbindir}/ipmidetect
%{_sbindir}/ipmidetectd
%{_sbindir}/ipmimonitoring
%{_sbindir}/ipmiping
%{_sbindir}/ipmipower
%{_sbindir}/ipmiseld
%{_sbindir}/pef-config
%{_sbindir}/rmcp-ping
%{_sbindir}/rmcpping
%{_mandir}/man3/libfreeipmi.3.*
%{_mandir}/man3/libipmiconsole.3.*
%{_mandir}/man3/libipmidetect.3.*
%{_mandir}/man3/libipmimonitoring.3.*
%{_mandir}/man5/freeipmi.conf.5.*
%{_mandir}/man5/ipmi_monitoring_sensors.conf.5.*
%{_mandir}/man5/ipmiconsole.conf.5.*
%{_mandir}/man5/ipmidetect.conf.5.*
%{_mandir}/man5/ipmidetectd.conf.5.*
%{_mandir}/man5/ipmimonitoring.conf.5.*
%{_mandir}/man5/ipmimonitoring_sensors.conf.5.*
%{_mandir}/man5/ipmipower.conf.5.*
%{_mandir}/man5/libipmimonitoring.conf.5.*
%{_mandir}/man5/ipmiseld.conf.5.*
%{_mandir}/man7/freeipmi.7.*
%{_mandir}/man8/bmc-device.8.*
%{_mandir}/man8/bmc-watchdog.8.*
%{_mandir}/man8/ipmi-chassis-config.8.*
%{_mandir}/man8/ipmi-chassis.8.*
%{_mandir}/man8/ipmi-console.8.*
%{_mandir}/man8/ipmi-dcmi.8.*
%{_mandir}/man8/ipmi-detect.8.*
%{_mandir}/man8/ipmi-fru.8.*
%{_mandir}/man8/ipmi-locate.8.*
%{_mandir}/man8/ipmi-oem.8.*
%{_mandir}/man8/ipmi-pef-config.8.*
%{_mandir}/man8/ipmi-pet.8.*
%{_mandir}/man8/ipmi-ping.8.*
%{_mandir}/man8/ipmi-power.8.*
%{_mandir}/man8/ipmi-raw.8.*
%{_mandir}/man8/ipmiconsole.8.*
%{_mandir}/man8/ipmidetect.8.*
%{_mandir}/man8/ipmidetectd.8.*
%{_mandir}/man8/ipmimonitoring.8.*
%{_mandir}/man8/ipmiping.8.*
%{_mandir}/man8/ipmiseld.8.*
%{_mandir}/man8/ipmipower.8.*
%{_mandir}/man8/pef-config.8.*
%{_mandir}/man8/rmcp-ping.8.*
%{_mandir}/man8/rmcpping.8.*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 350912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 1.2.3-1.mga3
+ Revision: 319060
- new version 1.2.3

* Fri Oct 19 2012 fwang <fwang> 1.2.2-1.mga3
+ Revision: 308286
- new version 1.2.2

* Sat Sep 08 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 289920
- remove correct files
- remove sysvinit files
- update file list
- use serverbuild for server package
- update file list
- update libmajor
- new version 1.2.1

* Fri Jun 29 2012 fwang <fwang> 1.1.6-1.mga3
+ Revision: 264840
- add br
- new version 1.1.6

* Mon Jun 04 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 253868
- new version 1.1.5

* Sat Apr 28 2012 tmb <tmb> 1.1.3-6.mga2
+ Revision: 233694
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 1.1.3-5.mga2
+ Revision: 232340
- Neater masking of sysvinit script under systemd.

* Sat Apr 21 2012 colin <colin> 1.1.3-4.mga2
+ Revision: 232325
- Fix masked systemd unit link.

* Sat Apr 21 2012 colin <colin> 1.1.3-3.mga2
+ Revision: 232310
- Ensure we mask the sysvinit service name with systemd unit.
- Fix the pid file location in systemd unit.

* Wed Apr 18 2012 guillomovitch <guillomovitch> 1.1.3-2.mga2
+ Revision: 231314
- systemd support

* Fri Mar 09 2012 fwang <fwang> 1.1.3-1.mga2
+ Revision: 222071
- new version 1.1.3

* Wed Jan 04 2012 fwang <fwang> 1.1.1-1.mga2
+ Revision: 190695
- update libmajor
- new version 1.1.1

* Wed Dec 28 2011 wally <wally> 1.0.10-3.mga2
+ Revision: 188422
- drop readline and guile BR (uptream removed deps on guile and readline in 2007) :]

* Wed Dec 28 2011 wally <wally> 1.0.10-2.mga2
+ Revision: 188421
- rebuild for new guile

* Wed Dec 14 2011 fwang <fwang> 1.0.10-1.mga2
+ Revision: 181534
- upload correct tarball
- new version 1.0.10

* Wed Dec 07 2011 fwang <fwang> 1.0.8-2.mga2
+ Revision: 178038
- move .pc file into devel package
  drop .la files

* Thu Oct 27 2011 fwang <fwang> 1.0.8-1.mga2
+ Revision: 158550
- new version 1.0.8

* Thu Sep 29 2011 fwang <fwang> 1.0.7-1.mga2
+ Revision: 150094
- new version 1.0.7

* Fri Sep 02 2011 fwang <fwang> 1.0.6-1.mga2
+ Revision: 137966
- new verrsion 1.0.6

* Mon Jul 11 2011 dams <dams> 1.0.5-1.mga2
+ Revision: 122260
- rename and update patch
- Update to 1.0.5
- Rediff patch

* Wed Jan 19 2011 erwan <erwan> 0.8.12-1.mga1
+ Revision: 24879
- Removing useless macro
- imported package freeipmi

